/2025-10/marketing-solutions/ad-sets
curl --request POST \
--url https://api.criteo.com/2025-10/marketing-solutions/ad-sets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"attributes": {
"name": "test adset",
"datasetId": "108002",
"campaignId": "358313",
"objective": "conversions",
"schedule": {
"startDate": "2026-04-04T16:21:06.3809615+02:00",
"endDate": "2026-04-13T16:21:06.3809642+02:00"
},
"bidding": {
"costController": "dailyBudget"
},
"targeting": {
"deliveryLimitations": {
"environments": [
"web"
],
"devices": [
"desktop"
],
"operatingSystems": [
"android"
]
},
"geoLocation": {
"countries": {
"operand": "in",
"values": [
"FR",
"IT"
]
}
},
"frequencyCapping": {
"frequency": "daily",
"maximumImpressions": 1000
}
},
"budget": {
"budgetStrategy": "capped",
"budgetRenewal": "weekly",
"budgetDeliverySmoothing": "standard",
"budgetDeliveryWeek": "mondayToSunday",
"budgetAmount": 1000
},
"trackingCode": "Test123",
"mediaType": "display",
"attributionConfiguration": {
"attributionMethod": "criteoAttribution"
}
},
"type": "AdSet"
}
}
'import requests
url = "https://api.criteo.com/2025-10/marketing-solutions/ad-sets"
payload = { "data": {
"attributes": {
"name": "test adset",
"datasetId": "108002",
"campaignId": "358313",
"objective": "conversions",
"schedule": {
"startDate": "2026-04-04T16:21:06.3809615+02:00",
"endDate": "2026-04-13T16:21:06.3809642+02:00"
},
"bidding": { "costController": "dailyBudget" },
"targeting": {
"deliveryLimitations": {
"environments": ["web"],
"devices": ["desktop"],
"operatingSystems": ["android"]
},
"geoLocation": { "countries": {
"operand": "in",
"values": ["FR", "IT"]
} },
"frequencyCapping": {
"frequency": "daily",
"maximumImpressions": 1000
}
},
"budget": {
"budgetStrategy": "capped",
"budgetRenewal": "weekly",
"budgetDeliverySmoothing": "standard",
"budgetDeliveryWeek": "mondayToSunday",
"budgetAmount": 1000
},
"trackingCode": "Test123",
"mediaType": "display",
"attributionConfiguration": { "attributionMethod": "criteoAttribution" }
},
"type": "AdSet"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
attributes: {
name: 'test adset',
datasetId: '108002',
campaignId: '358313',
objective: 'conversions',
schedule: {
startDate: '2026-04-04T16:21:06.3809615+02:00',
endDate: '2026-04-13T16:21:06.3809642+02:00'
},
bidding: {costController: 'dailyBudget'},
targeting: {
deliveryLimitations: {environments: ['web'], devices: ['desktop'], operatingSystems: ['android']},
geoLocation: {countries: {operand: 'in', values: ['FR', 'IT']}},
frequencyCapping: {frequency: 'daily', maximumImpressions: 1000}
},
budget: {
budgetStrategy: 'capped',
budgetRenewal: 'weekly',
budgetDeliverySmoothing: 'standard',
budgetDeliveryWeek: 'mondayToSunday',
budgetAmount: 1000
},
trackingCode: 'Test123',
mediaType: 'display',
attributionConfiguration: {attributionMethod: 'criteoAttribution'}
},
type: 'AdSet'
}
})
};
fetch('https://api.criteo.com/2025-10/marketing-solutions/ad-sets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"attributes": {
"advertiserId": "<string>",
"attributionConfiguration": {},
"bidding": {
"bidAmount": 123
},
"budget": {
"budgetAmount": 123
},
"campaignId": "<string>",
"datasetId": "<string>",
"name": "<string>",
"schedule": {
"endDate": {
"value": "2023-11-07T05:31:56Z"
},
"startDate": {
"value": "2023-11-07T05:31:56Z"
}
},
"targeting": {
"deliveryLimitations": {
"devices": [],
"environments": [],
"operatingSystems": []
},
"frequencyCapping": {
"value": {
"maximumImpressions": 123
}
},
"geoLocation": {
"countries": {
"value": {
"values": [
"<string>"
]
}
},
"subdivisions": {
"value": {
"values": [
"<string>"
]
}
},
"zipCodes": {
"value": {
"values": [
"<string>"
]
}
}
}
}
},
"id": "<string>",
"type": "ReadAdSetV24Q3"
},
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
]
}/2025-10/marketing-solutions/ad-sets
Create the specified ad set
POST
/
2025-10
/
marketing-solutions
/
ad-sets
/2025-10/marketing-solutions/ad-sets
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
the ad sets to create
Data model for an input resources
Data model for a Resource
Show child attributes
Show child attributes
Was this page helpful?
⌘I